Package org.firebirdsql.jdbc.metadata

## Class GetTablePrivileges

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetTablePrivileges

    public final class GetTablePrivileges
    extends java.lang.Object

Provides the implementation of `DatabaseMetaData.getTablePrivileges(String, String, String)`.

This implementation returns all privileges, not just from the current user. The JDBC specification is not clear on this. Looking at the Schemata (SQL standard book 11) definition of the `TABLE_PRIVILEGES` view, possibly this should be restricted to the current user and user `PUBLIC` (and maybe active roles). This may change in a future version.

Since:
  5
Author:
  Mark Rotteveel

### Field Summary

Fields
`protected DbMetadataMediator` `mediator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetTablePrivileges` `create​(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getTablePrivileges​(java.lang.String tableNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mediator

    protected final DbMetadataMediator mediator

### Method Detail

#### getTablePrivileges

    public java.sql.ResultSet getTablePrivileges​(java.lang.String tableNamePattern)
                                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetTablePrivileges create​(DbMetadataMediator mediator)